Search the discovery catalog (~2M series)
curl --request GET \
--url https://macrobymark.com/api/indicators/discover \
--header 'X-API-Key: <api-key>'import requests
url = "https://macrobymark.com/api/indicators/discover"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://macrobymark.com/api/indicators/discover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"discoveryResults": [
{
"entry": {
"provider": "<string>",
"sourceSeriesKey": "<string>",
"title": "<string>",
"frequency": "<string>",
"countryCode": "<string>",
"countryName": "<string>"
},
"score": 123
}
],
"totalDiscoveryMatches": 123,
"catalogs": {}
}Discovery
Discovery Search
Search across 2M+ provider series in the discovery catalog.
GET
/
api
/
indicators
/
discover
Search the discovery catalog (~2M series)
Authorizations
Query Parameters
Free-text search query
Provider key filter (e.g. "fred", "worldbank")
ISO country code
Available options:
daily, weekly, monthly, quarterly, annual Canonical topic slug
Required range:
x <= 100